> ## Documentation Index
> Fetch the complete documentation index at: https://openworklabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Google Calendar events in a time range as the calling member

> Lists primary-calendar events for the calling member in a requested ISO time range, using their connected Google Workspace account.



## OpenAPI

````yaml /openapi.json get /v1/capabilities/google-workspace/calendar-events
openapi: 3.1.0
info:
  title: Den API
  description: >-
    OpenAPI spec for the Den control plane API.


    Authentication:

    - Use `Authorization: Bearer <session-token>` for user-authenticated routes
    that require a Den session.

    - Use `x-api-key: <den-api-key>` for API-key-authenticated routes that
    accept organization API keys.

    - Public routes like health and documentation do not require authentication.


    Swagger tip: use the security schemes in the Authorize dialog to set either
    `bearerAuth` or `denApiKey` before trying protected endpoints.
  version: dev
servers: []
security: []
tags:
  - name: System
    description: Service health and operational routes.
  - name: Organizations
    description: Top-level organization creation and context routes.
  - name: Invitations
    description: Invitation preview, acceptance, creation, and cancellation routes.
  - name: API Keys
    description: Organization API key management routes.
  - name: SCIM
    description: Organization SCIM connector management routes.
  - name: SSO
    description: Organization single sign-on connector management routes.
  - name: Members
    description: Organization member management routes.
  - name: Roles
    description: Organization custom role management routes.
  - name: Teams
    description: Organization team management routes.
  - name: Templates
    description: Organization shared template routes.
  - name: LLM Providers
    description: Organization LLM provider catalog, configuration, and access routes.
  - name: Skills
    description: Organization skill authoring and sharing routes.
  - name: Skill Hubs
    description: Organization skill hub management and access routes.
  - name: Workers
    description: Worker lifecycle, billing, and runtime routes.
  - name: Worker Runtime
    description: Worker runtime inspection and upgrade routes.
  - name: Worker Activity
    description: Worker heartbeat and activity reporting routes.
  - name: Telemetry
    description: Telemetry event ingestion and adoption analytics.
  - name: Admin
    description: Administrative reporting routes.
  - name: Users
    description: Current user and membership routes.
  - name: Bootstrap
    description: Agent-first provisional workspace setup routes.
paths:
  /v1/capabilities/google-workspace/calendar-events:
    get:
      tags:
        - Capability Sources
      summary: List Google Calendar events in a time range as the calling member
      description: >-
        Lists primary-calendar events for the calling member in a requested ISO
        time range, using their connected Google Workspace account.
      operationId: getV1CapabilitiesGoogleWorkspaceCalendarEvents
      parameters:
        - $ref: '#/components/parameters/GoogleWorkspaceCalendarEventsQuery'
      responses:
        '200':
          description: Google Calendar events returned.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GoogleWorkspaceCalendarEventsResponse'
        '401':
          description: The caller must be signed in.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '409':
          description: >-
            The calling member has not connected their Google account or is
            missing permission.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GoogleWorkspaceNeedsConnectionError'
        '502':
          description: Google rejected the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GoogleWorkspaceUpstreamError'
components:
  parameters:
    GoogleWorkspaceCalendarEventsQuery:
      in: query
      name: timeMin
      schema:
        type: string
        format: date-time
        pattern: >-
          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
      required: true
      description: Inclusive lower bound for event start time.
  schemas:
    GoogleWorkspaceCalendarEventsResponse:
      type: object
      properties:
        ok:
          type: boolean
          const: true
        events:
          type: array
          items:
            $ref: '#/components/schemas/GoogleWorkspaceCalendarEvent'
      required:
        - ok
        - events
    UnauthorizedError:
      type: object
      properties:
        error:
          type: string
          const: unauthorized
      required:
        - error
    GoogleWorkspaceNeedsConnectionError:
      type: object
      properties:
        error:
          type: string
          const: needs_connection
        message:
          type: string
      required:
        - error
        - message
    GoogleWorkspaceUpstreamError:
      type: object
      properties:
        error:
          type: string
          const: google_api_error
        message:
          type: string
      required:
        - error
        - message
    GoogleWorkspaceCalendarEvent:
      type: object
      properties:
        id:
          type: string
        summary:
          type: string
        description:
          type: string
        location:
          type: string
        start:
          type: string
        end:
          type: string
        status:
          type: string
        htmlLink:
          type: string
        attendees:
          type: array
          items:
            type: string
        meetLink:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - summary
        - description
        - location
        - start
        - end
        - status
        - htmlLink
        - attendees
        - meetLink

````